const fetch = require('node-fetch')

let key;

function init(initKey) {
  key = initKey
}

async function report(params) {
  if (key) {
    const response = await fetch('https://zymono.com/api/report', {
      method: 'POST',
      headers: {
       'Content-Type': 'application/json'
      },
      body: JSON.stringify({
        apiKey: key,
        user: params.user, 
        imgURL: params.imgURL, 
        reason: params.reason, 
        device: params.device 
      })
    })
    
    if (response.ok) {
      console.log(response.json())
    }
  } else {
    console.log("Please initate the API with your key by doing zymono.init('key'). Get an API key from https://zymono.com/api/")
  }
  
}

module.exports = {
    report,
    init,
}